MSTFWTRACE,(1)

NAME
mstfwtrace, - manual page for mstfwtrace, mstflint 4.14.0, built on Mar 03 2020, 14:01:10. Git SHA Hash: N/A

DESCRIPTION
usage: mstfwtrace -d|--device DEVICE [options]

  optional arguments:

-h, --help
    show this help message and exit

-v, --version, -v
    Print tool version.

OPTIONS

-d DEVICE, --device DEVICE
    PCI device name

--tracer_mode TRACER_MODE
    Tracer mode [MEM]

--real_ts
    Print real timestamps in [hh:mm:ss:nsec]

--ignore_old_events
    Ignore collecting old events

  Format:

-i IRISC, --irisc IRISC
    Irisc name [all]

-s, --stream
    Run in streaming mode

-m MASK, --mask MASK
    Trace class mask, use "+" to enable multiple classes or use integer format, e.g: -m class1+class2+... or 0xff00ff00

-l LEVEL, --level LEVEL
    Trace level

Device Specific Info: ====================

    ConnectIB: Trace classes:

    DEBUG_INIT, INIT, ICM, ICM_FREE_LIST, HOST_MNG CMD_IF, PHY_IB, PHY_RX_ADAP, PHY_EYE_OPN, PHY_COMMON PHY_MANAGER, PWR, FLR, ICM_ACCESS, MAD RXT_CHECKS, I2C, TRANSPORT, FW_LL, RX_ERRORS CMD_DRIVER, PROFILING, MANAGEMENT, FLASH, STEERING IFARM, ICMD, PCI, DC_CLEANUP, PHY_ETH VIRT

    SwitchIB: Trace classes:

    class1, class2

    ConnectX4: Trace classes:

    DEBUG_INIT, INIT, ICM, ICM_FREE_LIST, HOST_MNG CMD_IF, PHY_IB, PHY_RX_ADAP, PHY_EYE_OPN, PHY_COMMON PHY_MANAGER, PWR, FLR, ICM_ACCESS, MAD RXT_CHECKS, I2C, TRANSPORT, FW_LL, RX_ERRORS CMD_DRIVER, PROFILING, MANAGEMENT, FLASH, STEERING IFARM, ICMD, PCI, DC_CLEANUP, PHY_ETH VIRT

    ConnectX5: Trace classes:

    DEBUG_INIT, INIT, ICM, ICM_FREE_LIST, HOST_MNG CMD_IF, PHY_IB, PHY_RX_ADAP, PHY_EYE_OPN, PHY_COMMON PHY_MANAGER, PWR, FLR, ICM_ACCESS, MAD RXT_CHECKS, I2C, TRANSPORT, FW_LL, RX_ERRORS CMD_DRIVER, PROFILING, MANAGEMENT, FLASH, STEERING IFARM, ICMD, PCI, DC_CLEANUP, PHY_ETH VIRT

    BlueField: Trace classes:

    DEBUG_INIT, INIT, ICM, ICM_FREE_LIST, HOST_MNG CMD_IF, PHY_IB, PHY_RX_ADAP, PHY_EYE_OPN, PHY_COMMON PHY_MANAGER, PWR, FLR, ICM_ACCESS, MAD RXT_CHECKS, I2C, TRANSPORT, FW_LL, RX_ERRORS CMD_DRIVER, PROFILING, MANAGEMENT, FLASH, STEERING IFARM, ICMD, PCI, DC_CLEANUP, PHY_ETH VIRT

    ConnectX6: Trace classes:

    DEBUG_INIT, INIT, ICM, ICM_FREE_LIST, HOST_MNG CMD_IF, PHY_IB, PHY_RX_ADAP, PHY_EYE_OPN, PHY_COMMON PHY_MANAGER, PWR, FLR, ICM_ACCESS, MAD RXT_CHECKS, I2C, TRANSPORT, FW_LL, RX_ERRORS CMD_DRIVER, PROFILING, MANAGEMENT, FLASH, STEERING IFARM, ICMD, PCI, DC_CLEANUP, PHY_ETH VIRT

    ConnectX6DX: Trace classes:

    DEBUG_INIT, INIT, ICM, ICM_FREE_LIST, HOST_MNG CMD_IF, PHY_IB, PHY_RX_ADAP, PHY_EYE_OPN, PHY_COMMON PHY_MANAGER, PWR, FLR, ICM_ACCESS, MAD RXT_CHECKS, I2C, TRANSPORT, FW_LL, RX_ERRORS CMD_DRIVER, PROFILING, MANAGEMENT, FLASH, STEERING IFARM, ICMD, PCI, DC_CLEANUP, PHY_ETH VIRT

    Spectrum: Trace classes:

    class1, class2

    ConnectX4LX: Trace classes:

    DEBUG_INIT, INIT, ICM, ICM_FREE_LIST, HOST_MNG CMD_IF, PHY_IB, PHY_RX_ADAP, PHY_EYE_OPN, PHY_COMMON PHY_MANAGER, PWR, FLR, ICM_ACCESS, MAD RXT_CHECKS, I2C, TRANSPORT, FW_LL, RX_ERRORS CMD_DRIVER, PROFILING, MANAGEMENT, FLASH, STEERING IFARM, ICMD, PCI, DC_CLEANUP, PHY_ETH VIRT

    SwitchIB2: Trace classes:

    class1, class2

    Quantum: Trace classes:

    class1, class2

    Spectrum2: Trace classes:

    class1, class2

SEE ALSO
The full documentation for mstfwtrace, is maintained as a Texinfo manual. If the info and mstfwtrace, programs are properly installed at your site, the command

    info mstfwtrace,

should give you access to the complete manual.